[Pkg-sysvinit-commits] r167 - sysvinit/trunk/debian/initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Mon Nov 21 08:02:28 UTC 2005


Author: jdthood-guest
Date: 2005-11-21 08:02:27 +0000 (Mon, 21 Nov 2005)
New Revision: 167

Modified:
   sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
Log:
Fix #339979

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh	2005-11-21 07:50:40 UTC (rev 166)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh	2005-11-21 08:02:27 UTC (rev 167)
@@ -9,9 +9,6 @@
 # Default-Stop:
 # Short-Description: Check to root file system.
 ### END INIT INFO
-#
-# Version:	@(#)checkroot.sh  2.85-23  29-Jul-2004  miquels at cistron.nl
-#
 
 [ -z "$SULOGIN" ] && SULOGIN=no
 [ -z "$VERBOSE" ] && VERBOSE=yes
@@ -78,7 +75,7 @@
 			*)
 				# Devfs definition ?
 				if [ "$type" = "devfs" ] && [ "$mnt" = /dev ] &&
-				   mountpoint -q /dev
+					mountpoint -q /dev
 				then
 					devfs="-t $type $dev $mnt"
 				fi
@@ -112,7 +109,7 @@
 			if [ "$swap_on_md" = yes ] && grep -qs resync /proc/mdstat
 			then
 				[ "$VERBOSE" != no ] &&
-				  log_warning_msg "Not activating swap because RAID array is resyncing."
+					log_warning_msg "Not activating swap because RAID array is resyncing."
 			else
 				doswap=yes
 			fi
@@ -178,11 +175,11 @@
 	# See if we're on AC Power
 	# If not, we're not gonna run our check
 	if [ -x /usr/bin/on_ac_power ] && [ "$rootcheck" = yes ]; then
-	        /usr/bin/on_ac_power >/dev/null 2>&1
-	        if [ "$?" -eq 1 ]; then
-	        	log_warning_msg "On battery power, so skipping file system check."
-	        	rootcheck=no
-	        fi
+		/usr/bin/on_ac_power >/dev/null 2>&1
+		if [ "$?" -eq 1 ]; then
+			log_warning_msg "On battery power, so skipping file system check."
+			rootcheck=no
+		fi
 	fi
 
 	#
@@ -250,8 +247,9 @@
 		log_action_msg "Will now check root file system"
 		fsck $spinner $force $fix -T -t $roottype $rootdev
 		if [ "$?" = 0 ]
-			log_success_msg "Done checking root file system"
 		then
+			log_success_msg "Done checking root file system"
+		else
 			log_failure_msg "Done checking root file system"
 		fi
 		FSCKCODE=$?
@@ -330,7 +328,7 @@
 			;;
 	esac
 
-	if [ "$init_mtab"  = yes ]
+	if [ "$init_mtab" = yes ]
 	then
 		[ "$roottype" != none ] &&
 			mount -f -o $rootopts -t $roottype $fstabroot /
@@ -345,19 +343,19 @@
 }
 
 case "$1" in
-    start)
-        do_start
-        ;;
-    restart|reload|force-reload)
-        echo "Error: argument '$1' not supported" >&2
-        exit 3
-        ;;
-    stop)
-        ;;
-    *)
-        echo "Usage: $0 start|stop" >&2
-        exit 3
-        ;;
+  start)
+	do_start
+	;;
+  restart|reload|force-reload)
+	echo "Error: argument '$1' not supported" >&2
+	exit 3
+	;;
+  stop)
+	;;
+  *)
+	echo "Usage: $0 start|stop" >&2
+	exit 3
+	;;
 esac
 
 : exit 0




More information about the Pkg-sysvinit-commits mailing list